<?
define('PROTECTOR', 1);

$headmod = 'clanroom';//фикс. места

$textl='Комната клана';
include('files/path.php');
include($path.'files/db.php');
include($path.'files/auth.php');
include($path.'files/func.php');
include($path.'files/core.php');
include($path.'files/head.php');
include($path.'files/zag.php');

if(empty($udata[clan])){echo"Вы не в клане!"; include($path.'files/down.php'); exit;}
$req = mysql_query("SELECT * FROM `clan` where `lider`='$udata[clan]'");
$avto=mysql_num_rows($req);
if($avto>=1){
$clan = mysql_fetch_array($req);
}else{
echo"Отсутствие такого клана! Обратитесь к администрации игры за помощью!";include($path.'files/down.php'); exit;
}

switch($_GET[go]) {

default:
$ref=rand(1000,9999);

if($udata[clan]=="$log"){echo"<a href=\"clanroom.php?go=desk\">Вывесить объявление</a>
<br/><a href=\"clanroom.php?go=site\">Вывесить сайт клана</a>";
if($clan[set_m]==0){
echo"<br/><a href=\"clanroom.php?go=set_m\">Выкл: Взять монет</a><br/>";
}else{
echo"<br/><a href=\"clanroom.php?go=set_m\">Вкл: Взять монет</a><br/>";
}
}

if(!empty($clan[desk])){

echo"$clan[desk]<br/>= = =<br/>";}

if(!empty($clan[site])){

echo"<a href=\"$clan[site]\">Сайт клана</a><br/>= = =<br/>";}


echo"Капитал клана: $clan[money] монет<br/>
<a href=\"clanroom.php?go=bankadd\">Положить денег</a><br/>
<a href=\"clanroom.php?go=my\">Взять денег</a><br/>
<a href=\"clanroom.php?go=logs\">Лог операций с деньгами</a><br/>
<a href=\"clanroom.php?go=who\">Список клана</a><br/>";

if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];

$req = mysql_query("SELECT * FROM `clanchat` where `clan`='$udata[clan]' ORDER BY id DESC LIMIT $start,5");
$avto=mysql_num_rows($req);

if($avto==0){echo"Чат пуст";}else{
while($chat = mysql_fetch_array($req))
{
echo"<br/><a href=\"search.php?go=go&amp;nick=$chat[usr]\">$chat[usr]</a> - $chat[msg]";
}
}
echo "<br/><b>= = = =</b>";
echo "<form action=\"clanroom.php?go=add\" method=\"post\"><br/>
<input name=\"msg\" maxlength=\"200\"/><br/>";
echo '<input type="submit" value="Написать" /></form>';

if ($start != 0) {echo '<a href="clanroom.php?start='.($start - 5).'&amp;log='.$log.'&amp;pas='.$pas.'">Назад</a> ';}else{echo'= = = =<br/>';}

if ($avto > $start+5) {echo ' <a href="clanroom.php?start='.($start + 5).'&amp;log='.$log.'&amp;pas='.$pas.'">Далее</a>';}

echo"<br/><a href=\"clanroom.php?ref=$ref\">Обновить</a><br/>";


break;

case 'site':

if($udata[clan]!==$log){ echo"Вы не имеете право размещать сайт!"; include($path.'files/down.php'); exit;}
if(empty($_POST[site])){
echo "<form action=\"clanroom.php?log=".$log."&amp;pas=".$pas."&amp;go=site\" method=\"post\">Адрес:<br/>";
echo "<input name=\"site\" maxlength=\"100\" value=\"http://\" title=\"name\"/><br/>";
echo '<input type="submit" value="Ok" /></form>';
}else{
mysql_query("UPDATE `clan` SET `site` = '$_POST[site]' WHERE `lider` = '$udata[clan]'");

echo"Клан сайт установлен!";
echo"<br/><a href=\"clanroom.php?\">Продолжить</a>";
}
break;

case 'desk':

if($udata[clan]!==$log){ echo"Вы не имеете право размещать объявления!"; include($path.'files/down.php'); exit;}
if(empty($_POST[text])){
echo "<form action=\"clanroom.php?log=".$log."&amp;pas=".$pas."&amp;go=desk\" method=\"post\">Текст обьявления:<br/>";
echo "<input name=\"text\" maxlength=\"200\" title=\"name\"/><br/>";
echo '<input type="submit" value="Ok" /></form>';
}else{
mysql_query("UPDATE `clan` SET `desk` = '$_POST[text]' WHERE `lider` = '$udata[clan]'");

echo"Обьявление размещено!";
echo"<br/><a href=\"clanroom.php?\">Продолжить</a>";
}
break;

case 'add':

$msg=$_POST[msg];

$msg=eregi_replace("((https?|ftp|http)://[[:alnum:]_=/-]+(\\.[[:alnum:]_=/-]+)*(/[[:alnum:]+&._=/%]*(\\?[[:alnum:]?+&_=/%]*)?)?).(ru|org|net|info|com)", "Реклама запрещена", $msg);
$msg=eregi_replace("([[:alnum:]_=/-]+(\\.[[:alnum:]_=/-]+)*(/[[:alnum:]+&._=/%]*(\\?[[:alnum:]?+&_=/%]*)?)?).(ru|su|org|net|info|com)", "Реклама запрещена", $msg);

$msg=stripslashes($msg);
$msg=htmlspecialchars($msg);
$msg=str_replace("\\","",$msg);
$msg=str_replace("/","",$msg);
$msg=str_replace("|","",$msg);
$msg=str_replace("$","",$msg);
$msg=str_replace("&","",$msg);
$msg=str_replace("<","",$msg);
$msg=str_replace(">","",$msg);
$msg=str_replace("#","",$msg);
$log=str_replace("#","",$log);
/////////////////

mysql_query("INSERT INTO clanchat SET usr='$log',clan='$udata[clan]',msg='$msg'");

echo"Сообщение добавлено!";
echo"<br/><a href=\"clanroom.php?\">Продолжить</a>";
break;

case 'bankadd':
if(empty($_POST[kol])){
echo "<form action=\"clanroom.php?log=".$log."&amp;pas=".$pas."&amp;go=bankadd\" method=\"post\">Сумма:<br/>";
echo "<input name=\"kol\" maxlength=\"20\" title=\"name\"/><br/>";
echo '<input type="submit" value="Ok" /></form>';
}else{
if($_POST[kol]<=0){echo'Введена слишком маленькая сумма!';include($path.'files/down.php'); exit;}
if(eregi("[^0-9]",$_POST[kol])){echo"Вводите число, а не буквы!"; include($path.'files/down.php'); exit;}
if($_POST[kol]>$udata[money]){echo"У вас нет такой суммы!"; include($path.'files/down.php'); exit;}

mysql_query("INSERT INTO clanlog SET clan='$udata[clan]',msg='$log положил $_POST[kol] монет.'");

$clan[money]=$clan[money]+$_POST[kol];
$udata[money]=$udata[money]-$_POST[kol];

mysql_query("UPDATE `clan` SET `money` = '$clan[money]' WHERE `lider` = '$udata[clan]'");
mysql_query("UPDATE `users` SET `money` = '$udata[money]' WHERE `usr` = '$log'");

echo"Вы положили $_POST[kol] монет!";
echo"<br/><a href=\"clanroom.php?\">Продолжить</a>";
}
break;

case 'my':
if($clan[set_m]==1 and $udata[clan]!=$log){echo"Доступ закрыт!";}else{
if(empty($_POST[kol])){
echo "<form action=\"clanroom.php?log=".$log."&amp;pas=".$pas."&amp;go=my\" method=\"post\">Сумма:<br/>";
echo "<input name=\"kol\" maxlength=\"20\" title=\"name\"/><br/>";
echo '<input type="submit" value="Ok" /></form>';
}else{
if($_POST[kol]<=0){echo'Введена слишком маленькая сумма!';include($path.'files/down.php'); exit;}
if(eregi("[^0-9]",$_POST[kol])){echo"Вводите число, а не буквы!"; include($path.'files/down.php'); exit;}
if($_POST[kol]>$clan[money]){echo"У клана нет такой суммы!"; include($path.'files/down.php'); exit;}

mysql_query("INSERT INTO clanlog SET clan='$udata[clan]',msg='$log забрал $_POST[kol] монет.'");

$clan[money]=$clan[money]-$_POST[kol];
$udata[money]=$udata[money]+$_POST[kol];

mysql_query("UPDATE `clan` SET `money` = '$clan[money]' WHERE `lider` = '$udata[clan]'");
mysql_query("UPDATE `users` SET `money` = '$udata[money]' WHERE `usr` = '$log'");

echo"Вы забрали $_POST[kol] монет!";
}}
echo"<br/><a href=\"clanroom.php?\">Продолжить</a>";
break;

case 'logs':
echo'<b>Лог операций с деньгами:</b>';
if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];

$req = mysql_query("SELECT * FROM `clanlog` where `clan`='$udata[clan]' ORDER BY id DESC LIMIT $start,15");
$avto=mysql_num_rows($req);

if($avto==0){echo"<br/>Лог пуст";}else{
while($chat = mysql_fetch_array($req))
{
echo"<br/>$chat[msg]";
}
}

if ($start != 0) {echo '<a href="clanroom.php?start='.($start - 15).'&amp;log='.$log.'&amp;pas='.$pas.'&amp;go=logs">Назад</a> ';}

if ($avto > $start+15) {echo ' <a href="clanroom.php?start='.($start + 15).'&amp;log='.$log.'&amp;pas='.$pas.'&amp;go=logs">Далее</a>';}


break;

case 'who':

$req = mysql_query("SELECT * FROM `clan` WHERE `lider` = '$udata[clan]'");
////////////////////////////
$cl = mysql_fetch_array($req);
echo"<b>$cl[name]</b>:<br/>";
echo "<b>1. <a href=\"search.php?nick=$cl[lider]&amp;go=go\">$cl[lider]</a> [Лидер]</b><br/>";
$req = mysql_query("SELECT clan,usr FROM `users` where `clan`='$udata[clan]' and `usr`!='$udata[clan]' ORDER BY lvl DESC");
////////////////////////////
$avto=mysql_num_rows($req);
$i=1;
if($avto>=1){
While($clan = mysql_fetch_array($req))
{
echo"$i. <a href=\"search.php?nick=$clan[usr]&amp;go=go\">$clan[usr]</a><br/>";
$i++;
}
echo"<br/><b>Всего соклановцев: $avto</b><br/>";
}else{
echo"<b>Нет соклановцев</b><br/>";
}
break;
case 'set_m':
if($udata[clan]!==$log){ echo"Вы не имеете права тут находится!"; include($path.'files/down.php'); exit;}
if($clan[set_m]==0){
$on=1;
}else{
$on=0;
}
mysql_query("UPDATE `clan` SET `set_m` = '$on' WHERE `lider` = '$udata[clan]'");
echo"Изменения сохранены!<br/>";
echo"<a href=\"clanroom.php?\">Продолжить</a>";
break;
}

include($path.'files/down.php');
?>
